POST /v1/reservation

API supported for Property Reservation

application/json

Body Required

  • propertyId integer(int64) Required

    momorooms ID of the property against which reservation is triggered.

  • reservationId integer(int64) Required

    Reservation Id for as returned in the Quote response associated with the Reservation.

  • partnerReservationId integer(int64)

    Reservation ID from the Partner Side for reference.

  • checkIn string(date) Required

    Date of check-in in the format (yyyy-mm-dd)

  • checkOut string(date) Required

    Date of checkout (not included in stay) in the format (yyyy-mm-dd)

  • market string Required

    ISO country codes for the market

    Country Name Country code
    Austria AT
    Belgium BE
    Bulgaria BG
    Chile CL
    Croatia HR
    Cyprus CY
    Czechia CZ
    Denmark DK
    Estonia EE
    Finland FI
    France FR
    Germany DE
    Hungary HU
    Iceland IS
    India IN
    Ireland IE
    Italy IT
    Latvia LV
    Lithuania LT
    Luxembourg LU
    Malta MT
    Mexico MX
    Netherlands NL
    Norway NO
    Poland PL
    Portugal PT
    Romania RO
    Slovakia SK
    Slovenia SI
    Spain ES
    Sweden SE
    Switzerland CH
    United Kingdom GB
    United States of America US
    Argentina AR
    Greece GR

  • rateType string Required

    Parameter denoting for which kind of rate is the request triggered as in below table

    Scenario Rate Type
    Regular RateBAR

  • productType string Required

    Parameter denoting for which kind of product is the request triggered as in below table

    Scenario Search Path
    Request includes only hotel accommodationsHotel
    Request includes only packages bundled with hotel staysPackage

  • roomStays array[object] Required

    Collection for holding the guest details for each room requested. Collection to be repeated for each room.

    At least 1 but not more than 9 elements.

    Hide roomStays attributes Show roomStays attributes object
    • id integer(int32) Required

      Unique identifier for each room stay in the reservation. Room ids must start at 0 and increment by 1 for each additional room (0,1,2,...).

    • productId integer(int64) Required

      ID of the product against which the reservation is triggered. Product ID should be one from the propertyId.

    • adultCount integer(int32) Required

      Number of Adults in the party mix.

      Minimum value is 1, maximum value is 9.

    • childAges array[integer(int32)]

      List of ages of the children in the party mix.Comma separated values. Example - [2,5] denotes 2 children in the party mix of ages 2 & 5.

      Not more than 8 elements.

    • guestDetails array[object] Required

      Collection for holding the guest details for each room requested

      At least 1 but not more than 9 elements.

      Hide guestDetails attributes Show guestDetails attributes object
      • firstName string Required

        First Name of the Guest

      • lastName string

        Last Name of the Guest

      • primary boolean

        Is this Guest is Primary Guest

      • guestType string

        Guest Type

        Guest Type Name Guest Type
        Guest is AdultAdult
        Guest is ChildChild

      • contact object Required

        Guest Contact details needed only for Primary Guest for any communication

        Hide contact attributes Show contact attributes object
        • email string

          Guest Email address

        • phone string

          Guest Email Phone number

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • reservationId integer(int64)

      Reservation ID created and used for future reference.

    • reservationStatus string

      Reservation Status

      Reservation Status Reservation Value
      Reservation is in SuccessSuccess
      Reservation is in FailedFailed

  • 400 application/json

    Client Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        4001 Missing Mandatory Parameter - Property ID
        4002 Missing Mandatory Parameter - CheckIn
        4003 Missing Mandatory Parameter - checkOut
        4004 Missing Mandatory Parameter - Market Code
        4005 Missing Mandatory Parameter - productType
        4006 RoomStay is required, Please provide a valid value
        4007 RoomStay Id is required, Please provide a valid value
        4008 Adult Count is required, Please provide a valid value
        4009 Guest is required, Please provide a valid value
        4010 Number of Child per room must be within 8
        4011 Number of Adult per room must be within 9
        4012 Invalid no of rooms requested - max 9 rooms supported
        4013 Number of propertyId requested must be within 100
        4014 CheckIn must be in the future
        4015 CheckOut must be in the future
        4016 CheckIn/CheckOut must be in the format: yyyy-MM-dd
        4017 Missing Mandatory Parameter - Guest Email
        4018 Invalid format for Guest Email
        4019 Missing mandatory parameter - Primary Guest Phone Number
        4020 CheckOut must be after checkIn
        4023 Invalid Value for Market, Please provide a valid value FR, DE, IT, ES, GB
        1022 Invalid Value for Product Type, Please provide a valid value Hotel, Package
        4024 PropertyId is required, Please provide a valid value
        4025 Missing Mandatory Parameter - LM Reservation ID
        4026 Missing mandatory parameter - partnerReservationId
        4027 Missing Mandatory Parameter - Product ID
        4028 Missing Mandatory Parameter - RateType
        4029 PropertyId not mapped for distrubution
        4030 Reservation Already Exists with reservationId -
        4035 Validation Failed for reservationId -

  • 500 application/json

    Server Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        500 An unexpected error occurred. Please try again later.

POST /v1/reservation
curl \
 --request POST 'https://qa-partner.momorooms.com/v1/reservation' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"propertyId":42,"reservationId":42,"partnerReservationId":42,"checkIn":"2026-05-04","checkOut":"2026-05-04","market":"string","rateType":"string","productType":"string","roomStays":[{"id":42,"productId":42,"adultCount":42,"childAges":[42],"guestDetails":[{"firstName":"string","lastName":"string","primary":true,"guestType":"string","contact":{"email":"string","phone":"string"}}]}]}'
Request examples
{
  "propertyId": 42,
  "reservationId": 42,
  "partnerReservationId": 42,
  "checkIn": "2026-05-04",
  "checkOut": "2026-05-04",
  "market": "string",
  "rateType": "string",
  "productType": "string",
  "roomStays": [
    {
      "id": 42,
      "productId": 42,
      "adultCount": 42,
      "childAges": [
        42
      ],
      "guestDetails": [
        {
          "firstName": "string",
          "lastName": "string",
          "primary": true,
          "guestType": "string",
          "contact": {
            "email": "string",
            "phone": "string"
          }
        }
      ]
    }
  ]
}
Response examples (200)
{
  "reservationId": 42,
  "reservationStatus": "string"
}
Response examples (400)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}